//===========================================================================
//文件名称：main.c
//功能概要：与无操作系统衔接，启动MQX
//版权所有：苏州大学飞思卡尔嵌入式中心(sumcu.suda.edu.cn)
//版本更新：2013-05-03  V1.0
//         2014-04-25  V2.0
//===========================================================================

#include "includes.h"

int main(  void  )
{ 

   //MQX初始化结构体常量MQX_init_struct，在"..\09_MQX\bsp\mqx_init.c"文件中赋值
   extern const MQX_INITIALIZATION_STRUCT MQX_init_struct;

   //启动MQX
   _mqx( (MQX_INITIALIZATION_STRUCT_PTR) &MQX_init_struct );
   
   return 0;  //此句实际永远执行不到，仅为消除编译警告错误   
} 
